/***********************************************************************
 *    DecoEmojiListResultInfo.
 *
 * [File]
 *     DecoEmojiListResultInfo.java
 *
 *     Copyright (C) 2011-2012 OMRON SOFTWARE Co., Ltd.  All Rights Reserved.
 *
 * [Description]
 *     Params for DecoEmojiListResult.
 ************************************************************************/
package jp.co.omronsoft.android.decoemojilist_docomo;

import android.os.Parcel;
import android.os.Parcelable;

public class DecoEmojiListResultInfo implements Parcelable {

    private String mUri;
    private String mCode;
    private int mTag;

    /** */
    public static final Parcelable.Creator<DecoEmojiListResultInfo> CREATOR = new Parcelable.Creator<DecoEmojiListResultInfo>() {
        public DecoEmojiListResultInfo createFromParcel(Parcel in) {
            return new DecoEmojiListResultInfo(in);
        }
        public DecoEmojiListResultInfo[] newArray(int size) {
            return new DecoEmojiListResultInfo[size];
        }
    };

    /** */
    public DecoEmojiListResultInfo() {
    }

    /**
     * @param uri
     * @param code 
     * @param tag
     */
    public DecoEmojiListResultInfo(String uri, String code, int tag) {
        mUri = uri;
        mCode = code;
        mTag = tag;
    }

    /**
     * DecoEmojiListResultInfo
     *
     * @param in
     */
    public DecoEmojiListResultInfo(Parcel in) {
        readFromParcel(in);
    }

    /*
     * (non-Javadoc)
     *
     * @see android.os.Parcelable#describeContents()
     */
    public int describeContents() {
        return 0;
    }

    /**
     * readFromParcel
     *
     * @param in
     */
    public void readFromParcel(Parcel in) {
        mUri = in.readString();
        mCode = in.readString();
        mTag = in.readInt();
    }

    /*
     * (non-Javadoc)
     *
     * @see android.os.Parcelable#writeToParcel(android.os.Parcel, int)
     */
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(mUri);
        dest.writeString(mCode);
        dest.writeInt(mTag);
    }

     /**
     * @return
     */
    public String getUri() {
        return mUri;
    }

    /**
     * @param uri
     */
    public void setUri(String uri) {
        mUri = uri;
    }

    /**
     * @return
     */
    public int getTag() {
        return mTag;
    }

    /**
     * @param tag
     */
    public void setTag(int tag) {
        mTag = tag;
    }

    /**
     * @return
     */
    public String getCode() {
        return mCode;
    }

    /**
     * @param code
     */
    public void setCode(String code) {
        this.mCode = code;
    }
}
