/***********************************************************************
 *    Const
 *
 * [File]
 *     Const.java
 *
 *     Copyright (C) 2011-2012 OMRON SOFTWARE Co., Ltd.  All Rights Reserved.
 *
 * [Description]
 *     For decoemojilist Package Constant Class.
 ************************************************************************/
package jp.co.omronsoft.android.decoemojilist_docomo.constants;

import android.graphics.Color;

/**
 * 一覧表示制御アプリ 定数クラス.
 */
public final class Const {

    /** For Debug Flg. */
    public static final Boolean DEBUG = false;

    /** For Debug Tag. */
    public static final String TAG = "DecoEmojiList";

    /** Switch Emoji Flg. */
    public static final String EXTRA_SWITCH_EMOJI_FLG = "switch_emoji_flg";

    /** Current Ime Height Portrait. */
    public static final String EXTRA_CURRENT_IME_HEIGHT_PORT = "current_ime_height_port";

    /** Current Ime Height Landscape. */
    public static final String EXTRA_CURRENT_IME_HEIGHT_LAND = "current_ime_height_land";

    /** Current Input Type From DecoEmojiList. */
    public static final String EXTRA_CURRENT_INPUT_TYPE = "current_input_type";

    /** Return Value From DecoEmojiList. */
    public static final String EXTRA_RETURN_VALUE = "uri_list";

    /** Prefix Uri. */
    public static final String PREFIX_URI = "file://";

    /** Default Spannable String. */
    public static final String DEFAULT_SPANNABLE_STRING = "\u3013";

    /** DecoEmoji Max Cols For HVGA. */
    public static final int DECO_EMOJI_MAX_COLS_HVGA = 6;

    /** DecoEMoji Max Rows For Portrait. */
    public static final int DECO_EMOJI_MAX_ROWS_PORT = 4;

    /** DecoEMoji Max Rows For Landscape. */
    public static final int DECO_EMOJI_MAX_ROWS_LAND = 4;

    /** カテゴリ情報のページ数の初期値を表すフィールド. */
    public static final int CATEGORY_DATA_FIRST_PAGE = 0;

    /** フリックイベント時のフリック方向(なし)を表すフィールド. */
    public static final int FLICK_NONE = 0;

    /** フリックイベント時のフリック方向(上)を表すフィールド. */
    public static final int FLICK_PREVIOUS = 1;

    /** フリックイベント時のフリック方向(下)を表すフィールド. */
    public static final int FLICK_NEXT = 2;

    /** デコ絵文字最大選択数を表すフィールド. */
    public static final int MAX_PREVIEW_TEXT = 10;

    /** IMEに返却する文字列を保存する形式を表すフィールド. */
    public static final String RETURN_VALUE_SAVE_PATTERN = ",";

    /** デコ／キャリア絵文字切替用文字列を表すフィールド. */
    public static final int SWITCH_VALUE_BOTH = 0;

    /** デコ絵文字を表すフィールド. */
    public static final int SWITCH_VALUE_DECO = 1;

    /** キャリア絵文字を表すフィールド. */
    public static final int SWITCH_VALUE_CARRIER = 2;

    /** デコ／キャリア絵文字タブの活性時の文字色を表すフィールド. */
    public static final int SWITCH_EMOJI_TEXT_COLOR_SELECT = Color.WHITE;

    /** デコ／キャリア絵文字タブの非活性時の文字色を表すフィールド. */
    public static final int SWITCH_EMOJI_TEXT_COLOR_NO_SELECT = Color.GRAY;

    /** 1行に表示するボタン数を表すフィールド. */
    public static final int MAX_BUTTONS_COLS = 4;

    /** データベース名を表すフィールド. */
    public static final String DB_NAME = "decoemojilist.db";

    /** データベースのバージョンを表すフィールド. */
    public static final int DB_VERSION = 1;

    /** CREATE TABLE文を表すフィールド. */
    public static final String SQL_CREATE_TABLE_DECO = "CREATE TABLE IF NOT EXISTS input_history ( history_id INTEGER PRIMARY KEY check(history_id <= 2147483647), uri TEXT );";

    /** DROP TABLE文を表すフィールド. */
    public static final String SQL_DROP_TABLE_DECO = "DROP TABLE IF EXISTS input_history";

    /** 入力履歴テーブル名を表すフィールド. */
    public static final String TABLE_NAME_DECO = "input_history";

    /** 入力履歴テーブルの入力履歴IDを表すフィールド. */
    public static final String COLUMN_HISTORY_ID = "history_id";

    /** 入力履歴テーブルのURIを表すフィールド. */
    public static final String COLUMN_URI = "uri";

    /** 入力履歴IDの昇順を表すフィールド. */
    public static final String ORDER_BY_HISTORY_ID_ASC = COLUMN_HISTORY_ID + " ASC";

    /** 入力履歴IDの降順を表すフィールド. */
    public static final String ORDER_BY_HISTORY_ID_DESC = COLUMN_HISTORY_ID + " DESC";

    /** 入力履歴IDの最大値を表すフィールド. */
    public static final int MAX_HISTORY_ID = Integer.MAX_VALUE;

    /** 入力履歴テーブルの最大レコード数を表すフィールド. */
    public static final int DB_MAX_HISTORY_RECORD = 100;

    /** 入力履歴テーブルの履歴IDのインデックスを表すフィールド. */
    public static final int COLUMN_INDEX_HISTORY_ID = 0;

    /** 入力履歴テーブルのURIのインデックスを表すフィールド. */
    public static final int COLUMN_INDEX_URI = 1;

    /** CREATE TABLE文を表すフィールド(キャリア絵文字用入力履歴TBL). */
    public static final String SQL_CREATE_TABLE_CARRIER = "CREATE TABLE IF NOT EXISTS input_history_carrier ( history_id INTEGER PRIMARY KEY check(history_id <= 2147483647), code TEXT );";

    /** DROP TABLE文を表すフィールド(キャリア絵文字用入力履歴TBL). */
    public static final String SQL_DROP_TABLE_CARRIER = "DROP TABLE IF EXISTS input_history_carrier";

    /** キャリア絵文字入力履歴テーブル名を表すフィールド. */
    public static final String TABLE_NAME_CARRIER = "input_history_carrier";

    /** キャリア絵文字入力履歴テーブルの「文字コード」を表すフィールド. */
    public static final String COLUMN_CODE = "code";
    
    /** キャリア絵文字入力履歴テーブルの「文字コード」のインデックスを表すフィールド. */
    public static final int COLUMN_INDEX_CODE = 1;
}
